customer-payment-methods
Update customer payment method
Updates the saved payment method identified by {id} (also passed as
payment_method_id) — e.g. set set_as_default or update its
billing_address. Requires a customer bearer token. Returns 404 when not
found, 422 on validation failure, and 401 when unauthenticated.
PATCH
/
api
/
checkout
/
v2026-04
/
customers
/
me
/
payment_methods
/
{id}
Update customer payment method
curl --request PATCH \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method_id": 123,
"set_as_default": true,
"billing_address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"name": "<string>"
}
}
'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}"
payload = {
"payment_method_id": 123,
"set_as_default": True,
"billing_address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"name": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_method_id: 123,
set_as_default: true,
billing_address: {
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
postal_code: '<string>',
country_code: '<string>',
name: '<string>'
}
})
};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fluid_pay_account": {
"id": 123
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"payment_method": {
"au_status": "<string>",
"billing_address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"country_code": "<string>",
"name": "<string>",
"postal_code": "<string>",
"state": "<string>",
"zip": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"default": true,
"details": {
"card_brand": "<string>",
"card_network": "<string>",
"exp_month": "<string>",
"exp_year": "<string>",
"id": 123,
"last4_digits": "<string>",
"last_four": "<string>",
"logo_url": "<string>",
"requires_3ds": true,
"type": "<string>",
"vgs_card_id": "<string>"
},
"id": 123,
"payment_title": "<string>",
"payment_type": "<string>",
"source": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Path Parameters
Payment method ID
Body
application/json
⌘I
Update customer payment method
